Subject: Re: [core] pub sub in coap

From: Michael Koster <[email-masked]>
Date: Mon, 19 Oct 2015 12:49:32 -0700

Hi,

Thank you for the suggestion. It seems like it should be possible, but there is an issue.

The issue with PATCH is that there is no defined way in CoAP to indicate the return of a partial representation of a resource in response to a GET or OBSERVE operation. 

I think it could be done with some new codes, and I believe there is someone looking into it.

Best regards,

Michael

On Apr 8, 2015, at 6:58 AM, Maël Auzias <[email-masked]> wrote:

> Hi you all,
> 
> I'm going through the ID of CoAP PubSub and I would like to know what are your thoughts about permitting the PATCH method for the PUBLISH operation, where "the client MUST use the PUT method"?
> 
> Indeed, if the resource is big (or at least bigger than the average "set of changes") the PATCH method usage could benefit the system (bandwidth, message processing).
> 
> Have a nice day.
> 
> ​Best regards,
> ---
> ​​Auzias Maël - auzias.net
> ​PhD candidate  ​- ​IRISA​
> Member of the Scientific Council
> GSM : 0033 695 118 774
> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core